path: /build/build/libpng-media-libs-1.6.37.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} media-libs/libpng -pv -t && \
    emerge -j ${JOBS} --nodeps media-libs/libpng
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libpng && luet-portage --dir /pkgdir/libpng
    media-libs/libpng && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6fb87c0f0b64b1236c63b1f23d83b43a5142718fc3386971ebbcc0e346eb1af8
  package:
    name: libpng
    version: 1.6.37
    category: media-libs
    requires:
    - name: macaroni-funtoo-race4
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Portable Network Graphics library
    uri:
    - http://www.libpng.org/
    license: libpng2
    buildtimestamp: 2023-08-16 18:00:33.813435739 +0000 UTC m=+66.762582322
    labels:
      DEPEND: '>=sys-libs/zlib-1.2.8-r1:=[-mgorny(-)] app-arch/xz-utils >=app-portage/elt-patches-20170815'
      IUSE: apng cpu_flags_x86_sse neon static-libs abi_x86_32 abi_x86_64 abi_x86_x32
        abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '>=sys-libs/zlib-1.2.8-r1:=[-mgorny(-)]'
      emerge.packages: media-libs/libpng
      kit: media-kit
      original.package.name: media-libs/libpng
      original.package.slot: "0"
      original.package.version: 1.6.37
    treedir: /build/packages
  package_dir: /pkgdir/libpng
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3ada6fd6f0eb189b39f84475ab15ba22505884cb9458dbac6513b2b81a3eb4a1
compressiontype: zstd
files:
- usr/bin/libpng-config
- usr/bin/libpng16-config
- usr/bin/png-fix-itxt
- usr/bin/pngfix
- usr/include/libpng16/png.h
- usr/include/libpng16/pngconf.h
- usr/include/libpng16/pnglibconf.h
- usr/include/png.h
- usr/include/pngconf.h
- usr/include/pnglibconf.h
- usr/lib64/libpng.so
- usr/lib64/libpng16.so
- usr/lib64/libpng16.so.16
- usr/lib64/libpng16.so.16.37.0
- usr/lib64/pkgconfig/libpng.pc
- usr/lib64/pkgconfig/libpng16.pc
- usr/share/doc/libpng-1.6.37/ANNOUNCE.bz2
- usr/share/doc/libpng-1.6.37/CHANGES.bz2
- usr/share/doc/libpng-1.6.37/README.bz2
- usr/share/doc/libpng-1.6.37/TODO.bz2
- usr/share/doc/libpng-1.6.37/libpng-manual.txt.bz2
- usr/share/man/man3/libpng.3.bz2
- usr/share/man/man3/libpngpf.3.bz2
- usr/share/man/man5/png.5.bz2
- var/db/pkg/media-libs/libpng-1.6.37/BUILD_TIME
- var/db/pkg/media-libs/libpng-1.6.37/CATEGORY
- var/db/pkg/media-libs/libpng-1.6.37/CBUILD
- var/db/pkg/media-libs/libpng-1.6.37/CFLAGS
- var/db/pkg/media-libs/libpng-1.6.37/CHOST
- var/db/pkg/media-libs/libpng-1.6.37/CONTENTS
- var/db/pkg/media-libs/libpng-1.6.37/COUNTER
- var/db/pkg/media-libs/libpng-1.6.37/CXXFLAGS
- var/db/pkg/media-libs/libpng-1.6.37/DEFINED_PHASES
- var/db/pkg/media-libs/libpng-1.6.37/DEPEND
- var/db/pkg/media-libs/libpng-1.6.37/DESCRIPTION
- var/db/pkg/media-libs/libpng-1.6.37/EAPI
- var/db/pkg/media-libs/libpng-1.6.37/FEATURES
- var/db/pkg/media-libs/libpng-1.6.37/HOMEPAGE
- var/db/pkg/media-libs/libpng-1.6.37/INHERITED
- var/db/pkg/media-libs/libpng-1.6.37/IUSE
- var/db/pkg/media-libs/libpng-1.6.37/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libpng-1.6.37/KEYWORDS
- var/db/pkg/media-libs/libpng-1.6.37/LDFLAGS
- var/db/pkg/media-libs/libpng-1.6.37/LICENSE
- var/db/pkg/media-libs/libpng-1.6.37/NEEDED
- var/db/pkg/media-libs/libpng-1.6.37/PF
- var/db/pkg/media-libs/libpng-1.6.37/PROVIDES
- var/db/pkg/media-libs/libpng-1.6.37/RDEPEND
- var/db/pkg/media-libs/libpng-1.6.37/REQUIRES
- var/db/pkg/media-libs/libpng-1.6.37/SIZE
- var/db/pkg/media-libs/libpng-1.6.37/SLOT
- var/db/pkg/media-libs/libpng-1.6.37/USE
- var/db/pkg/media-libs/libpng-1.6.37/environment.bz2
- var/db/pkg/media-libs/libpng-1.6.37/libpng-1.6.37.ebuild
- var/db/pkg/media-libs/libpng-1.6.37/repository
package_cacheimage: ""
runtime:
  name: libpng
  version: 1.6.37
  category: media-libs
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Portable Network Graphics library
  uri:
  - http://www.libpng.org/
  license: libpng2
  labels:
    DEPEND: '>=sys-libs/zlib-1.2.8-r1:=[-mgorny(-)] app-arch/xz-utils >=app-portage/elt-patches-20170815'
    IUSE: apng cpu_flags_x86_sse neon static-libs abi_x86_32 abi_x86_64 abi_x86_x32
      abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: '>=sys-libs/zlib-1.2.8-r1:=[-mgorny(-)]'
    emerge.packages: media-libs/libpng
    kit: media-kit
    original.package.name: media-libs/libpng
    original.package.slot: "0"
    original.package.version: 1.6.37
